aboutsummaryrefslogtreecommitdiff
path: root/util/part
diff options
context:
space:
mode:
Diffstat (limited to 'util/part')
-rwxr-xr-xutil/part25
1 files changed, 25 insertions, 0 deletions
diff --git a/util/part b/util/part
new file mode 100755
index 0000000..cf9abe5
--- /dev/null
+++ b/util/part
@@ -0,0 +1,25 @@
+#!/bin/sh
+SDCARD_DISK="$1"
+if ! [ -n "$SDCARD_DISK" ] ; then
+ cat << EOF >&2
+ERROR: could not automatically detect an SD card. Please insert an SD card of
+approx. 8GB, or manually set SDCARD_DISK in ./makefile
+EOF
+ exit 1
+fi
+if ! [ -w "$SDCARD_DISK" ] ; then
+ echo "ERROR: cannot not write to $SDCARD_DISK. Are you root?" >&2
+ exit 1
+fi
+if ! [ -b "$SDCARD_DISK" ] ; then
+ echo "ERROR: $SDCARD_DISK does not appear to be a block device" >&2
+ exit 1
+fi
+
+set -e
+
+sfdisk "$SDCARD_DISK" << 'EOF'
+label: dos
+,64M,0C,*
+,+ ,83,
+EOF